CVE-2017-11600

MEDIUM

Description

net/xfrm/xfrm_policy.c in the Linux kernel through 4.12.3, when CONFIG_XFRM_MIGRATE is enabled, does not ensure that the dir value of xfrm_userpolicy_id is XFRM_POLICY_MAX or less, which allows local users to cause a denial of service (out-of-bounds access) or possibly have unspecified other impact via an XFRM_MSG_MIGRATE xfrm Netlink message.

References

http://lists.opensuse.org/opensuse-security-announce/2018-01/msg00007.html

http://seclists.org/bugtraq/2017/Jul/30

http://www.debian.org/security/2017/dsa-3981

http://www.securityfocus.com/bid/99928

https://access.redhat.com/errata/RHSA-2018:1965

https://access.redhat.com/errata/RHSA-2018:2003

https://source.android.com/security/bulletin/pixel/2017-11-01

Details

Source: MITRE

Published: 2017-07-24

Updated: 2018-06-28

Type: CWE-125

Risk Information

CVSS v2.0

Base Score: 6.9

Vector: (AV:L/AC:M/Au:N/C:C/I:C/A:C)

Impact Score: 10

Exploitability Score: 3.4

Severity: MEDIUM

CVSS v3.0

Base Score: 7

Vector: CVSS:3.0/AV:L/AC:H/PR:L/UI:N/S:U/C:H/I:H/A:H

Impact Score: 5.9

Exploitability Score: 1

Severity: HIGH